<?php include('partie1_admin.php');?>
<div id="coverer" align="center">



<?php 
if(isset($_GET['mark']))
{ 

$_GET['mark'] = htmlspecialchars($_GET['mark']);
$tabl = $_GET['mark'];

if ($tabl == "grpe_article")
{
$libelle = 'Groupe article';}

elseif ($_GET['mark'] == "type_article")
{$libelle = 'Type article';}




echo'<h2><img src="img/fleche.gif" style="margin-bottom:-10px;" height="40" width="40">&nbsp<span style="text-transform:uppercase;">'.$libelle.'</span></h2>
<a href="liste_article.php?mark='.$tabl.'"><p class="bouton_design" style="display:inline-block; color:#fff;">retour</p></a>';
}


?>

<?php
include('connexion_mysql.php');
if (isset($_GET['modifier_news']) && isset($_GET['mark'])) // Si on demande de modifier une news

{
// On protège la variable « modifier_news » pour éviter une faille SQL.

$_GET['modifier_news'] = htmlspecialchars($_GET['modifier_news']);
$tabl = htmlspecialchars($_GET['mark']);

if($tabl == "grpe_article")

{

// On récupère les informations de la news correspondante.
$retour2 ='SELECT * FROM '.$tabl.' WHERE id_grpe=\'' .
$_GET['modifier_news'] . '\'';
$res = $conn->query($retour2);
$donnees = mysqli_fetch_array($res);
// On place le titre et le contenu dans des variables simples.
$libelle = stripslashes($donnees['libelle_grpe']);
$date = stripslashes($donnees['date']);


$id_news = $donnees['id_grpe']; // Cette variable va servir pour se souvenir que c'est une modification.



}



elseif($tabl == "type_article")

{

// On récupère les informations de la news correspondante.
$retour2 = 'SELECT * FROM '.$tabl.' WHERE id_type=\'' .
$_GET['modifier_news'] . '\'';
$res = $conn->query($retour2);
$donnees = mysqli_fetch_array($res);
// On place le titre et le contenu dans des variables simples.
$libelle = stripslashes($donnees['libelle_type']);
$id_news = stripslashes($donnees['id_type']);
$tabl = $_GET['mark'];
$id_grpe = stripslashes($donnees['id_grpe']);

$id_news = $donnees['id_type']; // Cette variable va servir pour se souvenir que c'est une modification.



}















}


elseif(isset($_GET['mark']))  // C'est qu'on rédige une nouvelle news.
{
include('connexion_mysql.php');

if($_GET['mark'] == "grpe_article")

{

$retour4 = 'SELECT * FROM '.$_GET['mark'].'';
$res = $conn->query($retour4);
$donnees = mysqli_fetch_array($res);
// On place le titre et le contenu dans des variables simples.

$tabl = $_GET['mark'];
// Les variables $titre et $contenu sont vides, puisque c'est une nouvelle news.

$image = '';
$libelle = '';
$date='';
$id_news = 0; // La variable vaut 0, donc on se souviendra que ce n'est pas une modification.

}




if($_GET['mark'] == "type_article")

{

$retour4 = 'SELECT * FROM '.$_GET['mark'].'';
$res = $conn->query($retour4);
$donnees = mysqli_fetch_array($res);
// On place le titre et le contenu dans des variables simples.

// Les variables $titre et $contenu sont vides, puisque c'est une nouvelle news.

$description= '';
$image = '';
$libelle = '';
$date='';
$id_grpe = '';
$id_news = 0; // La variable vaut 0, donc on se souviendra que ce n'est pas une modification.

}





}?>

<?php 
if($tabl == "grpe_article")
{include('r_grpe_article_form.php');}

elseif($tabl== "type_article")
{include('r_type_article_form.php');}
 ?>

<?php include('partie3_admin.php'); ?>